<?php

namespace DsbNext\Util;

class Util{
    
    public function __construct($environment, $connection) {
        $this->environment     = $environment;
        $this->connection     = $connection;
    }
    
    public function getSessionData() {
        $sessionData = array(
            "NRORG" => $this->environment->getNrorg(),
            "CDOPERADOR" => $this->environment->getCdOperador(),
            "CDFILIAL" => $this->environment->getCdFilial()
        );
        return $sessionData;
    }
    
    public function getDateProc () {
        $params = array (
            'P_CDFILIAL' => $this->environment->getCdFilial()
        );
        $query = "SELECT DTPROCESSA FROM PARAMFILIAL WHERE CDFILIAL = :P_CDFILIAL";
        $std = $this->connection->prepare($query);
        $std->execute($params);
        $result= $std->fetchAll()[0];
        $date = date_create($result["DTPROCESSA"]);
        $dataProc = date_format($date,"d/m/Y");
        return $dataProc;
    }
    
    public function prepareConditions($params) {
         $sessionData = $this->getSessionData();
         $sessionData['DTPROCESSA'] = $dataProc = $this->getDateProc();
         $conditions = [];
         foreach($params as $param){
             array_push($conditions, array(
                "columnName" => $param,
                "operator"   => '=',
                "value"      => $sessionData[$param]
            ));
        }
        return $conditions;
    }
} 