import { Grid } from '@zeedhi/common';
import { Http } from '@zeedhi/core';
import { Datasource, IEventParam, IDictionary } from '@zeedhi/core';

export class ParametersDashboardController {
  public departmentName: string = '';

  public showAnotherDetail = false;

  get anotherMasterIsVisible() {
    return !this.showAnotherDetail;
  }

  private async deleteAndUpdate(datasource: Datasource, row: IDictionary<any>) {
    await datasource.delete(row);
    datasource.get();
  }

  public cellClick({ row, column, component }: IEventParam<Grid>) {
    const isDeleteAction = column.name === 'delete-action';
    if (isDeleteAction) {
      this.deleteAndUpdate(component.datasource, row);
    }
    return isDeleteAction;
  }

  public row({ row }: IEventParam<Grid>) {
    this.showAnotherDetail = true;
    this.departmentName = row.name;
  }

  public showAnotherMaster() {
    this.showAnotherDetail = false;
  }
}
}
